PulseTestLocators.TopologyView (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.tools.pulse.tests

## Class PulseTestLocators.TopologyView

- java.lang.Object
- - org.apache.geode.tools.pulse.tests.PulseTestLocators.TopologyView

- Enclosing class:
    PulseTestLocators

      public static class PulseTestLocators.TopologyView
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `clientsTTXpath`
    `static java.lang.String` | `cpuUsageTTXpath`
    `static java.lang.String` | `cpuUsageXpath`
    `static java.lang.String` | `gatewaySenderTtXpath`
    `static java.lang.String` | `graphTreeMapLblId`
    `static java.lang.String` | `gridButtonId`
    `static java.lang.String` | `heapUsageXpath`
    `static java.lang.String` | `hostH1Xpath`
    `static java.lang.String` | `hostH2Xpath`
    `static java.lang.String` | `hostH3Xpath`
    `static java.lang.String` | `hostNameTTXpath`
    `static java.lang.String` | `hotSpotId`
    `static java.lang.String` | `hotspotListDivId`
    `static java.lang.String` | `idM1Xpath`
    `static java.lang.String` | `idM2Xpath`
    `static java.lang.String` | `idM3Xpath`
    `static java.lang.String` | `jvmPausesTTXpath`
    `static java.lang.String` | `loadAvgTTXpath`
    `static java.lang.String` | `memberM1Id`
    `static java.lang.String` | `memberM2Id`
    `static java.lang.String` | `memberM3Id`
    `static java.lang.String` | `memCpuUsageTTXpath`
    `static java.lang.String` | `memNameTTXpath`
    `static java.lang.String` | `memoryUsageTTXpath`
    `static java.lang.String` | `nameM1Xpath`
    `static java.lang.String` | `nameM2Xpath`
    `static java.lang.String` | `nameM3Xpath`
    `static java.lang.String` | `nodeH1Id`
    `static java.lang.String` | `nodeH2Id`
    `static java.lang.String` | `nodeH3Id`
    `static java.lang.String` | `portTTXpath`
    `static java.lang.String` | `radioButtonId`
    `static java.lang.String` | `radioButtonXpath`
    `static java.lang.String` | `regionsTTXpath`
    `static java.lang.String` | `soketsTTXpath`
    `static java.lang.String` | `threadsTTXpath`
    `static java.lang.String` | `treeMapButtonId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopologyView()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### radioButtonId

          public static final java.lang.String radioButtonId

      See Also:
        Constant Field Values

    - #### radioButtonXpath

          public static final java.lang.String radioButtonXpath

      See Also:
        Constant Field Values

    - #### gridButtonId

          public static final java.lang.String gridButtonId

      See Also:
        Constant Field Values

    - #### nodeH1Id

          public static final java.lang.String nodeH1Id

      See Also:
        Constant Field Values

    - #### nodeH2Id

          public static final java.lang.String nodeH2Id

      See Also:
        Constant Field Values

    - #### nodeH3Id

          public static final java.lang.String nodeH3Id

      See Also:
        Constant Field Values

    - #### memberM1Id

          public static final java.lang.String memberM1Id

      See Also:
        Constant Field Values

    - #### memberM2Id

          public static final java.lang.String memberM2Id

      See Also:
        Constant Field Values

    - #### memberM3Id

          public static final java.lang.String memberM3Id

      See Also:
        Constant Field Values

    - #### treeMapButtonId

          public static final java.lang.String treeMapButtonId

      See Also:
        Constant Field Values

    - #### hostNameTTXpath

          public static final java.lang.String hostNameTTXpath

      See Also:
        Constant Field Values

    - #### cpuUsageTTXpath

          public static final java.lang.String cpuUsageTTXpath

      See Also:
        Constant Field Values

    - #### memoryUsageTTXpath

          public static final java.lang.String memoryUsageTTXpath

      See Also:
        Constant Field Values

    - #### loadAvgTTXpath

          public static final java.lang.String loadAvgTTXpath

      See Also:
        Constant Field Values

    - #### soketsTTXpath

          public static final java.lang.String soketsTTXpath

      See Also:
        Constant Field Values

    - #### memNameTTXpath

          public static final java.lang.String memNameTTXpath

      See Also:
        Constant Field Values

    - #### memCpuUsageTTXpath

          public static final java.lang.String memCpuUsageTTXpath

      See Also:
        Constant Field Values

    - #### threadsTTXpath

          public static final java.lang.String threadsTTXpath

      See Also:
        Constant Field Values

    - #### jvmPausesTTXpath

          public static final java.lang.String jvmPausesTTXpath

      See Also:
        Constant Field Values

    - #### regionsTTXpath

          public static final java.lang.String regionsTTXpath

      See Also:
        Constant Field Values

    - #### clientsTTXpath

          public static final java.lang.String clientsTTXpath

      See Also:
        Constant Field Values

    - #### gatewaySenderTtXpath

          public static final java.lang.String gatewaySenderTtXpath

      See Also:
        Constant Field Values

    - #### portTTXpath

          public static final java.lang.String portTTXpath

      See Also:
        Constant Field Values

    - #### idM1Xpath

          public static final java.lang.String idM1Xpath

      See Also:
        Constant Field Values

    - #### nameM1Xpath

          public static final java.lang.String nameM1Xpath

      See Also:
        Constant Field Values

    - #### hostH1Xpath

          public static final java.lang.String hostH1Xpath

      See Also:
        Constant Field Values

    - #### idM2Xpath

          public static final java.lang.String idM2Xpath

      See Also:
        Constant Field Values

    - #### nameM2Xpath

          public static final java.lang.String nameM2Xpath

      See Also:
        Constant Field Values

    - #### hostH2Xpath

          public static final java.lang.String hostH2Xpath

      See Also:
        Constant Field Values

    - #### idM3Xpath

          public static final java.lang.String idM3Xpath

      See Also:
        Constant Field Values

    - #### nameM3Xpath

          public static final java.lang.String nameM3Xpath

      See Also:
        Constant Field Values

    - #### hostH3Xpath

          public static final java.lang.String hostH3Xpath

      See Also:
        Constant Field Values

    - #### hotSpotId

          public static final java.lang.String hotSpotId

      See Also:
        Constant Field Values

    - #### hotspotListDivId

          public static final java.lang.String hotspotListDivId

      See Also:
        Constant Field Values

    - #### heapUsageXpath

          public static final java.lang.String heapUsageXpath

      See Also:
        Constant Field Values

    - #### cpuUsageXpath

          public static final java.lang.String cpuUsageXpath

      See Also:
        Constant Field Values

    - #### graphTreeMapLblId

          public static final java.lang.String graphTreeMapLblId

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TopologyView

          public TopologyView()